<?php
/**
 * @package		Joomla.Site
 * @subpackage	mod_submenu
 * @copyright	Copyright (C) 2012 - 2013 methodica.ch. All rights reserved.
 * @license		proprietary license
 */

defined('_JEXEC') or die;

/**
 * Helper for mod_weblinks
 *
 * @package     Joomla.Site
 * @subpackage  mod_weblinks
 */
class ModSubmenuHelper
{
	public static function getList(&$params)
	{
		// Get the PathWay object from the application
		$app		= JFactory::getApplication();
		$pathway	= $app->getPathway();
		$items		= $pathway->getPathWay();

		$count = count($items);
		for ($i = 0; $i < $count; $i ++)
		{
			$items[$i]->name = stripslashes(htmlspecialchars($items[$i]->name, ENT_COMPAT, 'UTF-8'));
			$items[$i]->link = JRoute::_($items[$i]->link);
		}

		return $items;
	}
}
